searchNodes=[{"ref":"Membrane.Element.UDP.Sink.html","title":"Membrane.Element.UDP.Sink","type":"module","doc":"Element that reads packets from UDP socket and sends their payload through output pad. See options/0 for available options Element options Passed via struct Membrane.Element.UDP.Sink.t/0 destination_address Required IP Address that packets will be sent to destination_port_no Required UDP target port local_address Required Local IP Address local_port_no Default value: 5000 UDP local port Pads :input Availability:always Caps:any Demand&nbsp;unit:buffers Direction:input Mode:pull"},{"ref":"Membrane.Element.UDP.Sink.html#membrane_pads/0","title":"Membrane.Element.UDP.Sink.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.UDP.Sink"},{"ref":"Membrane.Element.UDP.Sink.html#options/0","title":"Membrane.Element.UDP.Sink.options/0","type":"function","doc":"Returns description of options available for this module"},{"ref":"Membrane.Element.UDP.Sink.html#t:t/0","title":"Membrane.Element.UDP.Sink.t/0","type":"type","doc":"Struct containing options for Membrane.Element.UDP.Sink"},{"ref":"Membrane.Element.UDP.Source.html","title":"Membrane.Element.UDP.Source","type":"module","doc":"Element that reads packets from UDP socket and sends their payload through the output pad. See options/0 for available options Element options Passed via struct Membrane.Element.UDP.Source.t/0 local_address Required IP Address local_port_no Default value: 5000 UDP target port recv_buffer_size Default value: 16384 Size of the receive buffer. Packages of size greater than this buffer will be truncated Pads :output Availability:always Caps:any Direction:output Mode:push"},{"ref":"Membrane.Element.UDP.Source.html#membrane_pads/0","title":"Membrane.Element.UDP.Source.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.UDP.Source"},{"ref":"Membrane.Element.UDP.Source.html#options/0","title":"Membrane.Element.UDP.Source.options/0","type":"function","doc":"Returns description of options available for this module"},{"ref":"Membrane.Element.UDP.Source.html#t:t/0","title":"Membrane.Element.UDP.Source.t/0","type":"type","doc":"Struct containing options for Membrane.Element.UDP.Source"},{"ref":"readme.html","title":"Membrane Multimedia Framework: UDP Element","type":"extras","doc":"Membrane Multimedia Framework: UDP Element This package provides elements that can be used to read from and write to UDP sockets."},{"ref":"readme.html#installation","title":"Membrane Multimedia Framework: UDP Element - Installation","type":"extras","doc":"Add the following line to your deps in mix.exs. Run mix deps.get. {:membrane_element_udp, &quot;~&gt; 0.2&quot;}"},{"ref":"readme.html#usage-example","title":"Membrane Multimedia Framework: UDP Element - Usage example","type":"extras","doc":"The example below shows 2 pipelines. UDPDemo.Send downloads an example file over HTTP and sends it over UDP socket via localhost: defmodule UDPDemo.Send do use Membrane.Pipeline alias Membrane.Element.{Hackney, UDP} alias Membrane.Pipeline.Spec def handle_init(_) do children = [ source: %Hackney.Source{ location: &quot;https://membraneframework.github.io/static/video-samples/test-video.h264&quot; }, udp: %UDP.Sink{ destination_address: {127, 0, 0, 1}, destination_port_no: 5001, local_address: {127, 0, 0, 1} } ] links = %{ {:source, :output} =&gt; {:udp, :input} } spec = %Spec{children: children, links: links} {{:ok, spec: spec}, %{}} end end The UDPDemo.Receive retrieves packets from UDP socket and saves the data to the /tmp/udp-recv.h264 file. Bear in mind that for other files/sending pipelines you may need do adjust recv_buffer_size option in Membrane.Element.UDP.Source that determines the maximum size of received packets. defmodule UDPDemo.Receive do use Membrane.Pipeline alias Membrane.Element.{File, UDP} alias Membrane.Pipeline.Spec def handle_init(_) do children = [ udp: %UDP.Source{ local_address: {127, 0, 0, 1}, local_port_no: 5001 }, sink: %File.Sink{ location: &quot;/tmp/udp-recv.h264&quot; } ] links = %{ {:udp, :output} =&gt; {:sink, :input} } spec = %Spec{children: children, links: links} {{:ok, spec: spec}, %{}} end end The snippet below presents how to run these pipelines. For convenience, it uses Membrane.Testing.Pipeline that wraps the pipeline modules above and allows to assert on state changes and end of stream events from the elements. Thanks to that, we can make sure the data is sent only when the receiving end is ready and the pipelines are stopped after everything has been sent. alias Membrane.Testing.Pipeline import Membrane.Testing.Assertions {:ok, sender} = Pipeline.start_link(%Pipeline.Options{module: UDPDemo.Send}) {:ok, receiver} = Pipeline.start_link(%Pipeline.Options{module: UDPDemo.Receive}) :ok = Pipeline.play(receiver) assert_pipeline_playback_changed(receiver, :prepared, :playing) :ok = Pipeline.play(sender) assert_end_of_stream(sender, :udp, :input, 5000) :ok = Pipeline.stop(sender) assert_pipeline_playback_changed(sender, :prepared, :stopped) :ok = Pipeline.stop(receiver) assert_pipeline_playback_changed(receiver, :prepared, :stopped) The deps required to run the example: defp deps do [ {:membrane_core, &quot;~&gt; 0.4.1&quot;}, {:membrane_element_udp, &quot;~&gt; 0.2&quot;}, {:membrane_element_hackney, &quot;~&gt; 0.2&quot;}, {:membrane_element_file, &quot;~&gt; 0.2&quot;} ] end"},{"ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: UDP Element - Copyright and License","type":"extras","doc":"Copyright 2019, Software Mansion Licensed under the Apache License, Version 2.0"}]